| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
FlowControllerDescriptor Struct Reference

Configuration values for creating flow controllers. More...

`#include <FlowControllerDescriptor.hpp>`

## Public Member Functions

bool | operator== (const FlowControllerDescriptor &b) const

## Public Attributes

std::string | name = FASTDDS_FLOW_CONTROLLER_DEFAULT
| Name of the flow controller.
FlowControllerSchedulerPolicy | scheduler = FlowControllerSchedulerPolicy::FIFO
| Scheduler policy used by the flow controller.
int32_t | max_bytes_per_period = 0
| Maximum number of bytes to be sent to network per period.
uint64_t | period_ms = 100
| Period time in milliseconds.
ThreadSettings | sender_thread
| Thread settings for the sender thread.

## Detailed Description

Configuration values for creating flow controllers.

This descriptor is used to define the configuration applied in the creation of a flow controller.

Since
  2.4.0

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const FlowControllerDescriptor & | b | ) | const

inline

## Member Data Documentation

## ◆ max_bytes_per_period

int32_t max_bytes_per_period = 0

Maximum number of bytes to be sent to network per period.

Range of bytes: [1, 2147483647]; 0 value means no limit. Default value: 0

## ◆ name

std::string name = FASTDDS_FLOW_CONTROLLER_DEFAULT

Name of the flow controller.

## ◆ period_ms

uint64_t period_ms = 100

Period time in milliseconds.

Period of time on which the flow controller is allowed to send max_bytes_per_period. Default value: 100ms.

## ◆ scheduler

FlowControllerSchedulerPolicy scheduler = FlowControllerSchedulerPolicy::FIFO

Scheduler policy used by the flow controller.

Default value: FlowControllerScheduler::FIFO_SCHEDULER

## ◆ sender_thread

ThreadSettings sender_thread

Thread settings for the sender thread.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/flowcontrol/FlowControllerDescriptor.hpp